/*!
 	@file 
 	@brief	ＸＭＬドキュメント
 */

#ifndef CXMLDocument_h
#define CXMLDocument_h

#include"../../Setup/CompileMode.h"
#include"../Macro.h"

#include"CXMLNode.h"

namespace Maid
{
	class CXMLDocument
	{
	public:
		void Load( const mstring& FileName );
		void LoadText( const mstring& TextImage );
		void Save( const mstring& FileName );


		CXMLNode& GetRoot();

	private:

		struct ATTRIBUTE
		{
			mstring Name;
			mstring Value;
		};

		void DivAttribute( const mstring& Element, mstring& Name, MySTL::vector<ATTRIBUTE>& Attribute );
		SPXMLNODE ReadChildNode( const mstring& token );


	private:
		SPXMLNODE	m_pRootNode;
	};

}
#endif
